> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> List crawl history — Retrieve a paginated list of crawl jobs for a website datasource.

# List crawl history



## OpenAPI

````yaml get /crawl/{id}/crawls
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /crawl/{id}/crawls:
    get:
      tags:
        - Crawl
      summary: List crawl history
      description: Retrieve a paginated list of crawl jobs for a website datasource.
      operationId: listCrawlJobs
      parameters:
        - schema:
            default: 1
            type: integer
            minimum: 1
            maximum: 9007199254740991
          in: query
          name: page
          required: false
        - schema:
            default: 10
            type: integer
            minimum: 1
            maximum: 100
          in: query
          name: limit
          required: false
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          in: path
          name: id
          required: true
          description: The website datasource ID
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlJobListResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    CrawlJobListResponse:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/CrawlJobListResponse'
      type: object
      properties:
        total:
          type: number
        page:
          type: number
        limit:
          type: number
        total_pages:
          type: number
        has_next_page:
          type: boolean
        has_prev_page:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/CrawlJob'
      required:
        - total
        - page
        - limit
        - total_pages
        - has_next_page
        - has_prev_page
        - data
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
    CrawlJob:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/CrawlJob'
      type: object
      properties:
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        datasource_id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        status:
          type: string
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        total_pages:
          anyOf:
            - type: number
            - type: 'null'
        completed_pages:
          type: number
        new_pages:
          type: number
        updated_pages:
          type: number
        removed_pages:
          type: number
        unchanged_pages:
          type: number
        error_message:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - datasource_id
        - status
        - started_at
        - completed_at
        - total_pages
        - completed_pages
        - new_pages
        - updated_pages
        - removed_pages
        - unchanged_pages
        - error_message
        - created_at
        - updated_at
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````